<button (click)="testDate()">test date</button>
<ng-container *ngIf="sharedDate">
    <br>
    {{ sharedDate | date: 'dd.MM.yyyy HH:mm ZZZZ' }}
    <br>
    {{ sharedDate | date: 'dd.MM.yyyy HH:mm ZZZZ': 'GMT+0300' }}
    <br>
</ng-container>
<button (click)="addDate(1)">add 1</button>
<br>
<button (click)="addDate(-1)">remove 1</button>

<input type="text"
    placeholder="Datepicker"
    class="form-control"
    [(ngModel)]="sharedDate"
    [bsConfig]="{ dateInputFormat: 'DD.MM.YYYY' }"
    bsDatepicker>

<br>
<button (click)="trimZone()">trim</button>

<!-- 
<ng-container *ngIf="!user.user">
    <form #loginForm="ngForm">
        <input [(ngModel)]="loginRequest.email" name="email" required>
        <input [(ngModel)]="loginRequest.password" name="password" required>
    
        <button [disabled]="loginForm.invalid" (click)="user.login(loginRequest)">Login</button>
    </form>
</ng-container>

<ng-container *ngIf="user.user">
    logged as: <b>{{ user.user.email }}</b>
</ng-container>

<div *ngIf="usersToStartChat && usersToStartChat.length != 0" style="margin-top: 2rem;">
    Start a chat
    <br>
    <div *ngFor="let user of usersToStartChat" (click)="startAChat(user)" style="cursor: pointer;">{{ user.email }}</div>
</div>

<div *ngIf="chats && chats.length != 0" style="margin-top: 2rem;">
    Chats
    <br>
    <push-chat *ngFor="let chat of chats" [chat]="chat"></push-chat>
</div> -->